Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ReportSheetInfo

All Superinterfaces:
  java.io.Serializable

    public interface ReportSheetInfo

extends java.io.Serializable

Interface `ReportSheetInfo` contains information of the report sheets of a report set.

Since:
  version 8

Method Summary
`BurstingRecipientInfo` | `getBurstingRecipientInfo()` Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getRecipientInfo()`.
`BurstingSchemaInfo[]` | `getBurstingSchemaInfos()` Gets all `BurstingSchemaInfo`s defined in the report.
`java.lang.String` | `getDesc()` Returns the description of the report.
`java.lang.String` | `getDisplayName()` Returns the display name of the report.
`int` | `getExportFormat()` Gets the default export format which is defined in the report.
`java.util.Hashtable` | `getExportOptionProperties()` Gets the settings of the default export format options which are defined in the report.
`java.lang.String[]` | `getFormatStyleGroups()` Returns the StyleGroup array of all formats, each element represents an export StyleGroup of special format.
`java.lang.String` | `getName()` Returns the name of the report.
`java.util.Vector` | `getParamInfosByValueForRecipient(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosByValueForRecipient()`.
`java.util.Vector` | `getParamInfosForRecipient()` Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosForRecipient()`.
`boolean` | `isBurstingReport()` Checks if the report is a bursting report.
`boolean` | `isPrecisionSensitive()` Returns whether the report is precision sensitive. If `true`, the report can be exported according runtime precision, and Engine can do necessary layout to match the requested precision.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the report.

  Returns:
    the name of the report.

### getDisplayName

    java.lang.String getDisplayName()

  Returns the display name of the report.

  Returns:
    the display name of the report.

### getDesc

    java.lang.String getDesc()

  Returns the description of the report.

  Returns:
    the description of the report.

### isPrecisionSensitive

    boolean isPrecisionSensitive()

  Returns whether the report is precision sensitive.
  If `true`, the report can be exported according runtime precision, and Engine can do necessary layout to match the requested precision.

  Returns:
    whether the report is precision sensitive.

### getFormatStyleGroups

    java.lang.String[] getFormatStyleGroups()

  Returns the StyleGroup array of all formats, each element represents an export StyleGroup of special format.
  Using the format(`CSUtil.NORMAL`, `CSUtil.HTML`, etc.) as index to get corresponding StyleGroup.

  Returns:
    the StyleGroup array of all formats.

### isBurstingReport

    boolean isBurstingReport()

  Checks if the report is a bursting report.

  Returns:
    true if the report is a bursting report.
  Since:
    version 8.2

### getBurstingRecipientInfo

    BurstingRecipientInfo getBurstingRecipientInfo()

  Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getRecipientInfo()`.

  Gets one `BurstingRecipientInfo` associated with the report, it contains bursting recipient information defined in the report.

  Returns:
    A `BurstingRecipientInfo` object if `isBurstingReport()` returns true, equal to the returned value of the method `getRecipientInfo()` of the first element of the `BurstingSchemaInfo` array that is returned by the method `getBurstingSchemaInfos()`, otherwise if `isBurstingReport()` returns false, return `null`.
  Since:
    version 8.2
  See Also:
    `BurstingSchemaInfo`

### getBurstingSchemaInfos

    BurstingSchemaInfo[] getBurstingSchemaInfos()

  Gets all `BurstingSchemaInfo`s defined in the report.

  Returns:
    A `BurstingSchemaInfo` object array if `isBurstingReport()` returns true, otherwise return `null`
  Since:
    version 9

### getParamInfosForRecipient

    java.util.Vector getParamInfosForRecipient()

  Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosForRecipient()`.

  Gets the parameters for the query that retrieves recipient addresses.

  Returns:
    the parameters for the query. The `Vector` contains `ParamInfo` objects.
  Since:
    version 8.2
  See Also:
    `ParamInfo`, `BurstingSchemaInfo`

### getParamInfosByValueForRecipient

    java.util.Vector getParamInfosByValueForRecipient(java.lang.String paramName,
                                                      java.lang.String value,
                                                      java.lang.String paramEngineId)
                                                      throws RptServerException

  Deprecated. As of version 9, replaced by `BurstingSchemaInfo.getParamInfosByValueForRecipient()`.

  Returns the parameters for the query that retrieves recipient addresses according to the name and the value of a specific parameter. If the value is null, it applies the default value of the specific parameter; if the name is null, the method will return null; otherwise it will return all parameters depending on the specific parameter according to the value.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of the engine which generates the parameters.
  Returns:
    parameters for the query that retrieves recipient addresses accordingly. The `Vector` contains `ParamInfo` objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  Since:
    version 8.2
  See Also:
    `ParamInfo`, `BurstingSchemaInfo`

### getExportFormat

    int getExportFormat()

  Gets the default export format which is defined in the report.

  Returns:
    int value ranging from 0 (`APIConst.RST`) to 8 (`APIConst.DHTML`) if the default export format is defined in the report, otherwise return -1.
  Since:
    version 9.1

### getExportOptionProperties

    java.util.Hashtable getExportOptionProperties()

  Gets the settings of the default export format options which are defined in the report.

  Returns:
    `Hashtable` which contains the settings of the default export format options if `getExportFormat()` returns a format (`APIConst.DHTML`, `APIConst.HTML`, etc.), otherwise return `null`.
  Since:
    version 9.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD